//=========================================================================//
// leh_ledhandler.h                                                    1)  //
//=========================================================================//
/*! \file
\brief Module: 
LED handling

\moduleabstract LED handling \n
This module provides LED handling routines. LEDs can be set/cleared
directly. Also a one shot operation with a configurable duration can be used. 
*/


#ifndef _LEH_LEDHANDLER_H_
#define _LEH_LEDHANDLER_H_                 //!< multi include protection

//! number of LEDs to control
/*! modify only if hardware changes */ 
#define LEH_NO_OF_LEDS      (4)
//! value for static on: if set the counter is not decremented
/*! this is detail */ 
#define LEH_STATIC_ON       (0xFFFF)

//! this is brief
extern void  leh_vInit( void );
//! this is brief
extern void leh_vLedHandler( void );

#endif  // #ifndef _LEH_LEDHANDLER_H_
